Bug 968058 - e100 WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
e100 WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-ethernet
Fedora Extras Quality Assurance
abrt_hash:88114f0b887387a0b4a6d6e33ed...
: Triaged
: 998252 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 18:58 EDT by Warren Lewis
Modified: 2015-03-08 07:11 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:09:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (75.83 KB, text/plain)
2013-05-28 18:58 EDT, Warren Lewis
no flags Details

  None (edit)
Description Warren Lewis 2013-05-28 18:58:26 EDT
Description of problem:
This seemed to occur on wake from sleep mode.

Additional info:
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
Hardware name: Presario V6000 (GA395UA#ABA)      
Device e100
disabling already-disabled device
Modules linked in: tcp_lp fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT bnep bluetooth nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_conexant snd_hda_intel snd_hda_codec arc4 snd_hwdep snd_seq iwl3945 iTCO_wdt snd_seq_device iwlegacy mac80211 cfg80211 iTCO_vendor_support snd_pcm hp_wmi snd_page_alloc sparse_keymap snd_timer rfkill lpc_ich acpi_cpufreq snd i2c_i801 of_i2c r592 memstick mperf coretemp microcode soundcore joydev uinput binfmt_misc firewire_ohci firewire_core sdhci_pci sdhci mmc_core crc_itu_t i915 i2c_algo_bit e100 drm_kms_helper mii drm i2c_core wmi video sunrpc
Pid: 7254, comm: kworker/u:7 Not tainted 3.9.4-200.fc18.i686 #1
Call Trace:
 [<c043f999>] warn_slowpath_common+0x69/0x90
 [<c06b0765>] ? pci_disable_device+0x85/0x90
 [<c06b0765>] ? pci_disable_device+0x85/0x90
 [<c043fa63>] warn_slowpath_fmt+0x33/0x40
 [<c06b0765>] pci_disable_device+0x85/0x90
 [<f7c73466>] __e100_shutdown+0x86/0x120 [e100]
 [<c06b2aa0>] ? pci_pm_poweroff+0xd0/0xd0
 [<f7c73576>] e100_suspend+0x16/0x50 [e100]
 [<c06b2365>] pci_legacy_suspend+0x35/0xc0
 [<c06b2aa0>] ? pci_pm_poweroff+0xd0/0xd0
 [<c06b2b7c>] pci_pm_suspend+0xdc/0x140
 [<c07697c5>] ? __pm_runtime_barrier+0x15/0x100
 [<c0974d01>] ? klist_next+0x21/0xe0
 [<c06b2aa0>] ? pci_pm_poweroff+0xd0/0xd0
 [<c0766bdb>] dpm_run_callback+0x3b/0x90
 [<c07692b4>] ? pm_wakeup_pending+0xc4/0x140
 [<c0766cf2>] __device_suspend+0xc2/0x200
 [<c076752f>] async_suspend+0x1f/0x90
 [<c04659bb>] async_run_entry_fn+0x3b/0x150
 [<c046f49f>] ? wake_up_process+0x1f/0x40
 [<c0458c26>] process_one_work+0x116/0x330
 [<c0463b6d>] ? switch_task_namespaces+0x1d/0x50
 [<c045a039>] worker_thread+0xf9/0x320
 [<c0459f40>] ? manage_workers+0x270/0x270
 [<c045f184>] kthread+0x94/0xa0
 [<c09933b7>] ret_from_kernel_thread+0x1b/0x28
 [<c045f0f0>] ? kthread_create_on_node+0xc0/0xc0
Comment 1 Warren Lewis 2013-05-28 18:58:31 EDT
Created attachment 754101 [details]
File: dmesg
Comment 2 troy 2013-06-07 13:18:32 EDT
Description of problem:
I closed the lid on my laptop and then opened it up an hour later and this happened

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.i686.PAE root=/dev/mapper/fedora_valhalla-root ro rd.lvm.lv=fedora_valhalla/root rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora_valhalla/swap rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
Hardware name: Satellite A100
Device e100
disabling already-disabled device
Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth ebtable_filter ebtables ip6table_filter ip6_tables acpi_cpufreq mperf coretemp iTCO_wdt iTCO_vendor_support arc4 iwl3945 iwlegacy microcode mac80211 serio_raw toshiba_acpi sparse_keymap snd_hda_codec_si3054 lpc_ich mfd_core i2c_i801 snd_hda_codec_realtek cfg80211 tifm_7xx1 wmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq e100 snd_seq_device mii snd_pcm tifm_core snd_page_alloc snd_timer rfkill snd soundcore uinput sdhci_pci sdhci firewire_ohci firewire_core yenta_socket i915 mmc_core i2c_algo_bit drm_kms_helper crc_itu_t drm i2c_core video
Pid: 4300, comm: kworker/u:9 Not tainted 3.9.4-200.fc18.i686.PAE #1
Call Trace:
 [<c044e969>] warn_slowpath_common+0x69/0x90
 [<c06beab5>] ? pci_disable_device+0x85/0x90
 [<c06beab5>] ? pci_disable_device+0x85/0x90
 [<c044ea33>] warn_slowpath_fmt+0x33/0x40
 [<c06beab5>] pci_disable_device+0x85/0x90
 [<f7fe8596>] __e100_shutdown+0x86/0x120 [e100]
 [<c047c832>] ? check_preempt_curr+0x72/0x90
 [<c06c0e50>] ? pci_pm_poweroff+0xd0/0xd0
 [<f7fe86a6>] e100_suspend+0x16/0x50 [e100]
 [<c06c0715>] pci_legacy_suspend+0x35/0xc0
 [<c07875f0>] ? device_pm_wait_for_dev+0x30/0x30
 [<c047c97b>] ? __cond_resched+0x1b/0x30
 [<c06c0e50>] ? pci_pm_poweroff+0xd0/0xd0
 [<c06c0f2c>] pci_pm_suspend+0xdc/0x140
 [<c078a515>] ? __pm_runtime_barrier+0x15/0x100
 [<c0990e41>] ? klist_next+0x21/0xe0
 [<c06c0e50>] ? pci_pm_poweroff+0xd0/0xd0
 [<c078792b>] dpm_run_callback+0x3b/0x90
 [<c078a004>] ? pm_wakeup_pending+0xc4/0x140
 [<c0787a42>] __device_suspend+0xc2/0x200
 [<c078827f>] async_suspend+0x1f/0x90
 [<c0474ffb>] async_run_entry_fn+0x3b/0x150
 [<c047eadf>] ? wake_up_process+0x1f/0x40
 [<c0468266>] process_one_work+0x116/0x330
 [<c0467ba5>] ? start_worker+0x25/0x30
 [<c04694e1>] ? manage_workers+0x1d1/0x270
 [<c0469679>] worker_thread+0xf9/0x320
 [<c0469580>] ? manage_workers+0x270/0x270
 [<c046e7c4>] kthread+0x94/0xa0
 [<c09b0837>] ret_from_kernel_thread+0x1b/0x28
 [<c046e730>] ? kthread_create_on_node+0xc0/0xc0
Comment 3 Juan Dayer 2013-06-15 09:27:41 EDT
Description of problem:
I suspended the system.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.5-201.fc18.x86_64 root=UUID=8dd587a9-a139-425c-b3b9-47efdd52f7ce ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=es rd.luks=0 rhgb quiet clocksource=hpet LANG=es_ES.UTF-8
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x90/0xa0()
Hardware name: SATELLITE PRO U200
Device e100
disabling already-disabled device
Modules linked in: nfsv3 nfs_acl nfsv4 auth_rpcgss nfs lockd dns_resolver fscache ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep ebtable_filter ebtables bluetooth ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi acpi_cpufreq fuse mperf coretemp snd_hda_codec_si3054 snd_hda_codec_analog arc4 kvm rt2800usb snd_hda_intel rt2x00usb snd_hda_codec iTCO_wdt rt2800lib rt2x00lib snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_vendor_support lpc_ich mac80211 snd_page_alloc microcode snd_timer cfg80211 toshiba_acpi crc_ccitt sparse_keymap rfkill mfd_core tifm_7xx1 tifm_core wmi joydev toshiba_bluetooth snd soundcore uinput binfmt_misc firewire_ohci sdhci_pci i915 firewire_core e100 sdhci crc_itu_t mmc_core i2c_algo_bit drm_kms_helper yenta_socket drm mii i2c_core video sunrpc
Pid: 5341, comm: kworker/u:66 Not tainted 3.9.5-201.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105ef85>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f066>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8132cf6c>] ? pci_find_capability+0x4c/0x60
 [<ffffffff8132dea0>] pci_disable_device+0x90/0xa0
 [<ffffffffa00f726b>] __e100_shutdown+0x9b/0x130 [e100]
 [<ffffffffa00f738a>] e100_suspend+0x1a/0x50 [e100]
 [<ffffffff8132fd36>] pci_legacy_suspend+0x46/0xe0
 [<ffffffff8133065d>] pci_pm_suspend+0xfd/0x140
 [<ffffffff81404b7a>] ? __pm_runtime_barrier+0x1a/0x140
 [<ffffffff81330560>] ? pci_pm_poweroff+0xf0/0xf0
 [<ffffffff814017c8>] dpm_run_callback+0x58/0x90
 [<ffffffff814018eb>] __device_suspend+0xeb/0x280
 [<ffffffff81093c83>] ? try_to_wake_up+0x203/0x2d0
 [<ffffffff8140232f>] async_suspend+0x1f/0xa0
 [<ffffffff810897f6>] async_run_entry_fn+0x46/0x140
 [<ffffffff8107b613>] process_one_work+0x173/0x3c0
 [<ffffffff8107cf3f>] worker_thread+0x10f/0x390
 [<ffffffff8107ce30>] ? busy_worker_rebind_fn+0xb0/0xb0
 [<ffffffff81082ae0>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8166a22c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082a20>] ? kthread_create_on_node+0x120/0x120
Comment 4 Fidel Leon 2013-06-23 06:47:17 EDT
Description of problem:
Problem happened after waking up from hibernation.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.9.6-200.fc18.i686 root=UUID=e76172c8-7504-41c0-88b3-927dc466049a ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=es rd.luks=0 rhgb quiet LANG=en_US.utf8
kernel:         3.9.6-200.fc18.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
Hardware name: EasyNote MV85                   
Device e100
disabling already-disabled device
Modules linked in: rfcomm fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 joydev rt2800usb rt2x00usb rt2800lib rt2x00lib mac80211 cfg80211 acpi_cpufreq mperf coretemp i2c_i801 of_i2c lm63 microcode rfkill crc_ccitt iTCO_wdt iTCO_vendor_support lpc_ich serio_raw vhost_net tun macvtap macvlan kvm_intel kvm uinput binfmt_misc radeon sdhci_pci sdhci i2c_algo_bit drm_kms_helper ttm drm firewire_ohci e100 mii firewire_core mmc_core crc_itu_t i2c_core video sunrpc
Pid: 19536, comm: kworker/u:3 Not tainted 3.9.6-200.fc18.i686 #1
Call Trace:
 [<c043f6d9>] warn_slowpath_common+0x69/0x90
 [<c06b06e5>] ? pci_disable_device+0x85/0x90
 [<c06b06e5>] ? pci_disable_device+0x85/0x90
 [<c043f7a3>] warn_slowpath_fmt+0x33/0x40
 [<c06b06e5>] pci_disable_device+0x85/0x90
 [<f8037466>] __e100_shutdown+0x86/0x120 [e100]
 [<c046d078>] ? ttwu_do_wakeup+0x28/0x110
 [<c06b2c10>] ? pci_pm_restore_noirq+0xb0/0xb0
 [<f8037576>] e100_suspend+0x16/0x50 [e100]
 [<c06b22e5>] pci_legacy_suspend+0x35/0xc0
 [<c098b105>] ? wait_for_completion+0x25/0xd0
 [<c06b2c10>] ? pci_pm_restore_noirq+0xb0/0xb0
 [<c06b2c9c>] pci_pm_freeze+0x8c/0xb0
 [<c06b2c10>] ? pci_pm_restore_noirq+0xb0/0xb0
 [<c0766ccb>] dpm_run_callback+0x3b/0x90
 [<c07693a4>] ? pm_wakeup_pending+0xc4/0x140
 [<c0766de2>] __device_suspend+0xc2/0x200
 [<c076761f>] async_suspend+0x1f/0x90
 [<c046571b>] async_run_entry_fn+0x3b/0x150
 [<c046f2df>] ? wake_up_process+0x1f/0x40
 [<c0458986>] process_one_work+0x116/0x330
 [<c04582c5>] ? start_worker+0x25/0x30
 [<c0459c01>] ? manage_workers+0x1d1/0x270
 [<c0459d99>] worker_thread+0xf9/0x320
 [<c0459ca0>] ? manage_workers+0x270/0x270
 [<c045eee4>] kthread+0x94/0xa0
 [<c09937f7>] ret_from_kernel_thread+0x1b/0x28
 [<c045ee50>] ? kthread_create_on_node+0xc0/0xc0
Comment 5 Josh Boyer 2013-07-01 14:57:15 EDT
Seems the e100 driver blindly disables the device upon resume, even if it is already disabled?
Comment 6 justme 2013-07-05 18:13:08 EDT
Description of problem:
I don't have any info you sorry. I have not seen any results of kernel oops crapping out other than as indicated by Automatic bug reporting tool. Hopfully your reporting tool gathered enough info to correct what ever is happening. This started to happen with the latest system update.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.6-200.fc18.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.6-200.fc18.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x85/0x90()
Hardware name: MX8711                          
Device e100
disabling already-disabled device
Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast be2iscsi ip6table_mangle iscsi_boot_sysfs ip6t_REJECT bnx2i nf_conntrack_ipv6 cnic uio cxgb4i cxgb4 bnep nf_defrag_ipv6 bluetooth cxgb3i iptable_nat cxgb3 nf_nat_ipv4 mdio nf_nat libcxgbi ib_iser rdma_cm iptable_mangle ib_addr iw_cm nf_conntrack_ipv4 ib_cm nf_defrag_ipv4 xt_conntrack ib_sa nf_conntrack ib_mad ebtable_filter ib_core ebtables ip6table_filter iscsi_tcp ip6_tables libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_si3054 arc4 b43 bcma snd_hda_codec_idt snd_hda_intel mac80211 iTCO_wdt snd_hda_codec iTCO_vendor_support snd_hwdep snd_seq cfg80211 tifm_7xx1 acpi_cpufreq mperf tifm_core coretemp snd_seq_device snd_pcm rfkill i2c_i801 of_i2c snd_page_alloc snd_timer snd lpc_ich soundcore joydev microcode uinput firewire_ohci firewire_core e100 mii i915 crc_itu_t yenta_socket i2c_algo_bit drm_kms_helper drm ssb mmc_core i2c_core video sunrpc
Pid: 2346, comm: kworker/u:11 Not tainted 3.9.6-200.fc18.i686 #1
Call Trace:
 [<c043f6d9>] warn_slowpath_common+0x69/0x90
 [<c06b06e5>] ? pci_disable_device+0x85/0x90
 [<c06b06e5>] ? pci_disable_device+0x85/0x90
 [<c043f7a3>] warn_slowpath_fmt+0x33/0x40
 [<c06b06e5>] pci_disable_device+0x85/0x90
 [<f7c8f466>] __e100_shutdown+0x86/0x120 [e100]
 [<c046d032>] ? check_preempt_curr+0x72/0x90
 [<c06b2a20>] ? pci_pm_poweroff+0xd0/0xd0
 [<f7c8f576>] e100_suspend+0x16/0x50 [e100]
 [<c06b22e5>] pci_legacy_suspend+0x35/0xc0
 [<c06b2a20>] ? pci_pm_poweroff+0xd0/0xd0
 [<c06b2afc>] pci_pm_suspend+0xdc/0x140
 [<c07698b5>] ? __pm_runtime_barrier+0x15/0x100
 [<c0975131>] ? klist_next+0x21/0xe0
 [<c06b2a20>] ? pci_pm_poweroff+0xd0/0xd0
 [<c0766ccb>] dpm_run_callback+0x3b/0x90
 [<c07693a4>] ? pm_wakeup_pending+0xc4/0x140
 [<c0766de2>] __device_suspend+0xc2/0x200
 [<c076761f>] async_suspend+0x1f/0x90
 [<c046571b>] async_run_entry_fn+0x3b/0x150
 [<c046f2df>] ? wake_up_process+0x1f/0x40
 [<c0458986>] process_one_work+0x116/0x330
 [<c04582c5>] ? start_worker+0x25/0x30
 [<c0459c01>] ? manage_workers+0x1d1/0x270
 [<c0459d99>] worker_thread+0xf9/0x320
 [<c0459ca0>] ? manage_workers+0x270/0x270
 [<c045eee4>] kthread+0x94/0xa0
 [<c09937f7>] ret_from_kernel_thread+0x1b/0x28
 [<c045ee50>] ? kthread_create_on_node+0xc0/0xc0
Comment 7 Josh Boyer 2013-09-20 14:53:54 EDT
*** Bug 998252 has been marked as a duplicate of this bug. ***
Comment 8 Justin M. Forbes 2013-10-18 17:17:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2013-11-27 11:09:03 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.